/*
 * Copyright (c) 2018, Oracle and/or its affiliates. All rights reserved.
 * 
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 * The contents of this file are subject to the terms of either the Universal Permissive License
 * v 1.0 as shown at http://oss.oracle.com/licenses/upl
 *
 * or the following license:
 *
 * Redistribution and use in source and binary forms, with or without modification, are permitted
 * provided that the following conditions are met:
 * 
 * 1. Redistributions of source code must retain the above copyright notice, this list of conditions
 * and the following disclaimer.
 * 
 * 2. Redistributions in binary form must reproduce the above copyright notice, this list of
 * conditions and the following disclaimer in the documentation and/or other materials provided with
 * the distribution.
 * 
 * 3. Neither the name of the copyright holder nor the names of its contributors may be used to
 * endorse or promote products derived from this software without specific prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY
 * WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package org.openjdk.jmc.flightrecorder.controlpanel.ui.messages.internal;

import org.eclipse.osgi.util.NLS;

public class Messages extends NLS {
	private static final String BUNDLE_NAME = "org.openjdk.jmc.flightrecorder.controlpanel.ui.messages.internal.messages"; //$NON-NLS-1$

	public static String ACCESSIBILITY_CHECKBOX_CHECKED;
	public static String ACCESSIBILITY_CHECKBOX_NOT_CHECKED;
	public static String ACTION_CLOSE_RECORDING_LABEL;
	public static String ACTION_CLOSE_RECORDING_TOOLTIP;
	public static String ACTION_DUMP_ANY_RECORDING_LABEL;
	public static String ACTION_DUMP_ANY_RECORDING_TOOLTIP;
	public static String ACTION_DUMP_LAST_PART_RECORDING_LABEL;
	public static String ACTION_DUMP_LAST_PART_RECORDING_TOOLTIP;
	public static String ACTION_DUMP_RECORDING_LABEL;
	public static String ACTION_DUMP_RECORDING_TOOLTIP;
	public static String ACTION_DUMP_WHOLE_RECORDING_LABEL;
	public static String ACTION_DUMP_WHOLE_RECORDING_TOOLTIP;
	public static String ACTION_EDIT_RECORDING_LABEL;
	public static String ACTION_EDIT_RECORDING_TOOLTIP;
	public static String ACTION_START_RECORDING_LABEL;
	public static String ACTION_START_RECORDING_TOOLTIP;
	public static String ACTION_STOP_RECORDING_LABEL;
	public static String ACTION_STOP_RECORDING_TOOLTIP;
	public static String ADVANCED_WIZARD_PAGE_DESCRIPTION;
	public static String ADVANCED_WIZARD_PAGE_TITLE;
	public static String BUTTON_ADVANCED_TEXT;
	public static String BUTTON_BROWSE_TEXT;
	public static String BUTTON_CONTINUOUS_RECORDING_TEXT;
	public static String BUTTON_DUPLICATE_TEXT;
	public static String BUTTON_EDIT_TEXT;
	public static String BUTTON_EXPORT_FILE_TEXT;
	public static String BUTTON_IMPORT_FILE_TEXT;
	public static String BUTTON_INTERVAL_OF_RECORDING_TEXT;
	public static String BUTTON_LAST_PART_OF_RECORDING_TEXT;
	public static String BUTTON_NEW_TEXT;
	public static String BUTTON_REFRESH_TEXT;
	public static String BUTTON_REFRESH_TOOLTIP;
	public static String BUTTON_REMOVE_TEXT;
	public static String BUTTON_TEMPLATE_MANAGER_TEXT;
	public static String BUTTON_TIME_FIXED_RECORDING_TEXT;
	public static String BUTTON_WHOLE_RECORDING_TEXT;
	public static String CLOSE_RECORDING_MSG;
	public static String CLOSE_RECORDING_TITLE;
	public static String COMMERCIAL_FEATURES_QUESTION;
	public static String COMMERCIAL_FEATURES_QUESTION_LICENSE;
	public static String COMMERCIAL_FEATURES_QUESTION_LINKTEXT;
	public static String COMMERCIAL_FEATURES_QUESTION_TIP;
	public static String COMMERCIAL_FEATURES_QUESTION_TITLE;
	public static String CONFIG_DELETED;
	public static String CONFIRM_REMOVE_TEMPLATE_DIALOG_CHECKBOX_ASK_CONFIRMATION;
	public static String CONFIRM_REMOVE_TEMPLATE_DIALOG_MESSAGE_PLURAL;
	public static String CONFIRM_REMOVE_TEMPLATE_DIALOG_MESSAGE_SINGULAR;
	public static String CONFIRM_REMOVE_TEMPLATE_DIALOG_TITLE;
	public static String DUMP_ANY_RECORDING_ERROR_MSG;
	public static String DUMP_RECORDING_CONNECTION;
	public static String DUMP_RECORDING_JOB_IO_ERROR_MSG;
	public static String DUMP_RECORDING_JOB_NAME;
	public static String DUMP_RECORDING_JOB_SERVICE_ERROR_MSG;
	public static String DUMP_RECORDING_JOB_SUCCESS_MSG;
	public static String DUMP_RECORDING_SAVE_LAST_PART_TO_DUMP;
	public static String DUMP_RECORDING_WIZARD_PAGE_DESCRIPTION;
	public static String DUMP_RECORDING_WIZARD_PAGE_TITLE;
	public static String EDIT_RECORDING_WIZARD_PAGE_DESCRIPTION;
	public static String EDIT_RECORDING_WIZARD_PAGE_TITLE;
	public static String EDIT_RECORDING_WIZARD_RUNNING_CONFIGURATION_DESCRIPTION;
	public static String EXPORT_TEMPLATE_WIZARD_TITLE;
	public static String FILE_ALL_DESCRIPTION;
	public static String FILE_RECORDING_DESCRIPTION;
	public static String FLIGHT_RECORDER_DESCRIPTION;
	public static String FLIGHT_RECORDER_MONITOR;
	public static String FLIGHT_RECORDER_NAME;
	public static String FLIGHT_RECORDER_NOT_ENABLED;
	public static String FLIGHT_RECORDER_SERVER_DISPOSED;
	public static String FLIGHT_RECORDING_OPTIONS_PROBLEM_TITLE;
	public static String IMPORT_EXPORT_TOOLKIT_COULD_NOT_EXPORT_DIALOG_MESSAGE;
	public static String IMPORT_EXPORT_TOOLKIT_COULD_NOT_EXPORT_DIALOG_TITLE;
	public static String IMPORT_FILE_TEMPLATE_WIZARD_PAGE_ERROR_DIALOG_MSG;
	public static String IMPORT_FILE_TEMPLATE_WIZARD_PAGE_ERROR_DIALOG_TITLE;
	public static String IMPORT_TEMPLATE_WIZARD_TITLE;
	public static String LABEL_DELAY_TIME_TEXT;
	public static String LABEL_DESCRIPTION_TEXT;
	public static String LABEL_END_TIME_TEXT;
	public static String LABEL_FILENAME_TEXT;
	public static String LABEL_FILTER_TEXT;
	public static String LABEL_MAX_AGE;
	public static String LABEL_MAX_SIZE;
	public static String LABEL_NAME_TEXT;
	public static String LABEL_RECORDING_TIME_TEXT;
	public static String LABEL_START_TIME_TEXT;
	public static String LABEL_TEMPLATE;
	public static String LABEL_TEMPLATE_DESCRIPTION;
	public static String LABEL_TIMESPAN;
	public static String RECORDING_DESCRIPTOR_DEFAULT_NAME;
	public static String RECORDING_FILE_BROWSER_DESCRIPTION;
	public static String RECORDING_FILE_BROWSER_TITLE;
	public static String RECORDING_FILE_EXISTS;
	public static String RECORDING_INFO_CONTINUOUS;
	public static String RECORDING_INFO_CREATED_CONTINUOUS;
	public static String RECORDING_INFO_CREATED_DURATION;
	public static String RECORDING_INFO_LOADING;
	public static String RECORDING_INFO_LOADING_DESCRIPTION;
	public static String RECORDING_INFO_NO_RECORDINGS;
	public static String RECORDING_INFO_NO_RECORDINGS_DESCRIPTION;
	public static String RECORDING_INFO_ONGOING;
	public static String RECORDING_INFO_OPENING;
	public static String RECORDING_INFO_STOPPED;
	public static String RECORDING_JOB_NAME;
	public static String RECORDING_TEMPLATE_NEW_NAME;
	public static String RECORDING_TEMPLATE_ONCE_PER_CHUNK;
	public static String RECORDING_WIZARD_LAST_STARTED_DESCRIPTION_MSG;
	public static String RECORDING_WIZARD_LAST_STARTED_SETTINGS_FOR_NAME_MSG;
	public static String RECORDING_WIZARD_PAGE_CONTINUOUS_NOTE;
	public static String RECORDING_WIZARD_PAGE_DELAY_TIME_ERROR_MSG;
	public static String RECORDING_WIZARD_PAGE_DURATION_NOTE;
	public static String RECORDING_WIZARD_PAGE_MAX_AGE_ERROR_MSG;
	public static String RECORDING_WIZARD_PAGE_MAX_SIZE_ERROR_MSG;
	public static String RECORDING_WIZARD_PAGE_NO_TEMPLATES_IN_MANAGER_ERROR_MSG;
	public static String RECORDING_WIZARD_PAGE_NO_TEMPLATE_SELECTED_ERROR_MSG;
	public static String RECORDING_WIZARD_PAGE_RECORDING_NAME_ERROR_MSG;
	public static String RECORDING_WIZARD_PAGE_RECORDING_NAME_INVALID_CHARS;
	public static String RECORDING_WIZARD_PAGE_RECORDING_TIME_ERROR_MSG;
	public static String SAVE_TEMPLATE_WIZARD_PAGE_DUPLICATE_ERROR_MSG;
	public static String START_FLIGHT_RECORDING_JOB_MISSING_RECORDING;
	public static String START_RECORDING_EVENT_OPTIONS_WIZARD_PAGE_DESCRIPTION;
	public static String START_RECORDING_EVENT_OPTIONS_WIZARD_PAGE_TITLE;
	public static String START_RECORDING_JOB_ERROR_WHILE_MONITORING_RECORDING_MESSAGE;
	public static String START_RECORDING_JOB_ERROR_WHILE_MONITORING_RECORDING_TITLE;
	public static String START_RECORDING_JOB_SERVICE_ERROR_MESSAGE;
	public static String START_RECORDING_JOB_SERVICE_ERROR_TITLE;
	public static String START_RECORDING_WIZARD_LATER_STAGE_CHANGE_WARNING;
	public static String START_RECORDING_WIZARD_PAGE_DESCRIPTION;
	public static String START_RECORDING_WIZARD_PAGE_TITLE;
	public static String STOP_RECORDING_MSG;
	public static String STOP_RECORDING_TITLE;
	public static String TEMPLATE_EDIT_ADVANCED_DIALOG_TITLE;
	public static String TEMPLATE_EDIT_ADVANCED_LOSING_CONTROL_ELEMENT_WARNING;
	public static String TEMPLATE_EDIT_ADVANCED_OFFLINE_WARNING;
	public static String TEMPLATE_EDIT_SIMPLE_DIALOG_TITLE;
	public static String TEMPLATE_MANAGER_COULD_NOT_CREATE_TEMPLATE_ERROR_DIALOG_TITLE;
	public static String TEMPLATE_MANAGER_DESCRIPTION;
	public static String TEMPLATE_MANAGER_DIALOG_OFFLINE_TITLE;
	public static String TEMPLATE_MANAGER_DIALOG_TITLE;
	public static String TEMPLATE_MANAGER_OFFLINE_DESCRIPTION;
	public static String UPDATE_RECORDING_JOB_NAME;
	public static String UPDATE_RECORDING_JOB_SERVICE_ERROR_MSG;
	public static String UPDATE_RECORDING_JOB_SUCCESS_MSG;
	public static String VOLATILE_CONFIGURATION_LAST_STARTED;
	public static String VOLATILE_CONFIGURATION_ON_SERVER;
	public static String VOLATILE_CONFIGURATION_RUNNING_RECORDING;
	public static String VOLATILE_CONFIGURATION_WORKING_COPY;

	static {
		NLS.initializeMessages(BUNDLE_NAME, Messages.class);
	}

	private Messages() {
	}
}
