/*
 * Copyright (c) 2018, 2022, Oracle and/or its affiliates. All rights reserved.
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 * The contents of this file are subject to the terms of either the Universal Permissive License
 * v 1.0 as shown at http://oss.oracle.com/licenses/upl
 *
 * or the following license:
 *
 * Redistribution and use in source and binary forms, with or without modification, are permitted
 * provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice, this list of conditions
 * and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright notice, this list of
 * conditions and the following disclaimer in the documentation and/or other materials provided with
 * the distribution.
 *
 * 3. Neither the name of the copyright holder nor the names of its contributors may be used to
 * endorse or promote products derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY
 * WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package org.openjdk.jmc.flightrecorder.ui.messages.internal;

import org.eclipse.osgi.util.NLS;

public class Messages extends NLS {
	private static final String BUNDLE_NAME = "org.openjdk.jmc.flightrecorder.ui.messages.internal.messages"; //$NON-NLS-1$
	public static String ATTRIBUTE_CONFIG_PAGE_RULES;
	public static String ATTRIBUTE_CONFIG_RULE;
	public static String ATTRIBUTE_CONFIG_RULES;
	public static String ATTRIBUTE_CONFIG_RULES_DESC;
	public static String ATTRIBUTE_CONFIG_RULE_DESC;
	public static String ATTRIBUTE_CONFIG_SHARED_GROUP_NAME;
	public static String ATTRIBUTE_DESCRIPTION_LABEL;
	public static String ATTRIBUTE_ID_LABEL;
	public static String ATTRIBUTE_NOT_SHARED;
	public static String ATTR_HEAP_USED_POST_GC;
	public static String ATTR_HEAP_USED_POST_GC_DESC;
	public static String CHART_ZOOM_TO_SELECTED_RANGE;
	public static String CONFIGURATION_EDIT_ACTION;
	public static String COUNT_COLUMN_NAME;
	public static String ChartAndTableUI_HISTOGRAM_SELECTION;
	public static String ChartAndTableUI_TIMELINE_SELECTION;
	public static String ChartToolTipProvider_CAPTION_DESCRIPTION;
	public static String ChartToolTipProvider_CAPTION_NAME;
	public static String ClassLoadingPage_AGGR_CLASSES_LOADED;
	public static String ClassLoadingPage_AGGR_CLASSES_LOADED_BY_CLASSLOADER;
	public static String ClassLoadingPage_AGGR_CLASSES_LOADED_BY_CLASSLOADER_DESC;
	public static String ClassLoadingPage_AGGR_CLASSES_LOADED_DESC;
	public static String ClassLoadingPage_AGGR_CLASSES_UNLOADED;
	public static String ClassLoadingPage_AGGR_CLASSES_UNLOADED_BY_CLASSLOADER;
	public static String ClassLoadingPage_AGGR_CLASSES_UNLOADED_BY_CLASSLOADER_DESC;
	public static String ClassLoadingPage_AGGR_CLASSES_UNLOADED_DESC;
	public static String ClassLoadingPage_CLASS_LOADER_TAB;
	public static String ClassLoadingPage_CLASS_LOADER_STATISTICS_ACTION;
	public static String ClassLoadingPage_CLASS_LOADER_STATISTICS_LIST_SELECTION;
	public static String ClassLoadingPage_CLASS_LOADER_STATISTICS_TAB_TITLE;
	public static String ClassLoadingPage_CLASS_LOADING_ACTION;
	public static String ClassLoadingPage_CLASS_LOADING_ACTION_DESC;
	public static String ClassLoadingPage_CLASS_LOADING_HISTOGRAM_SELECTION;
	public static String ClassLoadingPage_CLASS_LOADING_LIST_SELECTION;
	public static String ClassLoadingPage_CLASS_LOADING_TAB_TITLE;
	public static String ClassLoadingPage_CLASS_LOADING_TIMELINE_SELECTION;
	public static String ClassLoadingPage_CLASS_UNLOADING_ACTION;
	public static String ClassLoadingPage_CLASS_UNLOADING_ACTION_DESC;
	public static String ClassLoadingPage_CLASS_UNLOADING_LIST_SELECTION;
	public static String ClassLoadingPage_CLASS_UNLOADING_TAB_TITLE;
	public static String ClassLoadingPage_CLASS_DEFINE_ACTION;
	public static String ClassLoadingPage_CLASS_DEFINE_LIST_SELECTION;
	public static String ClassLoadingPage_CLASS_DEFINE_TAB_TITLE;
	public static String ClassLoadingPage_PAGE_NAME;
	public static String ClassLoadingPage_ROW_CLASSES_LOADED;
	public static String ClassLoadingPage_ROW_CLASSES_UNLOADED;
	public static String ClassLoadingPage_ROW_CLASS_LOADING_STATISTICS;
	public static String CodeCachePage_OVERLAYS_SWEEPS_DESC;
	public static String CodeCachePage_OVERLAY_SWEEPS;
	public static String CodeCachePage_PAGE_NAME;
	public static String CodeCachePage_ROW_ADAPTORS;
	public static String CodeCachePage_ROW_ENTRIES;
	public static String CodeCachePage_ROW_METHODS;
	public static String CodeCachePage_ROW_UNALLOCATED;
	public static String CodeCachePage_SWEEPS_TIMELINE_SELECTION;
	public static String CodeCachePage_SWEEP_TABLE_SELECTION;
	public static String CompilationsPage_COMPILATIONS_DURATION_SELECTION;
	public static String CompilationsPage_COMPILATIONS_FAILED_TABLE_SELECTION;
	public static String CompilationsPage_COMPILATIONS_TABLE_SELECTION;
	public static String CompilationsPage_PAGE_NAME;
	public static String CompilationsPage_ROW_DURATIONS;
	public static String CompilationsPage_TAB_COMPILATIONS;
	public static String CompilationsPage_TAB_COMPILATIONS_FAILED;
	public static String ConstantPoolsPage_PAGE_NAME;
	public static String ConstantPoolsPage_SIZE_TOTAL_PERCENTAGE;
	public static String ConstantPoolsPage_SIZE_TOTAL_PERCENTAGE_DESC;
	public static String DropdownLaneFilter_QUICK_FILTER;
	public static String DropdownLaneFilter_THREAD_STATE_SELECTION;
	public static String DUMP_RECORDING_DEFAULT_TIMESPAN_TO_DUMP;
	public static String DUMP_RECORDING_NO_DEFAULT;
	public static String DUMP_RECORDING_TIMESPAN;
	public static String DUMP_RECORDING_TIMESPAN_LESS_THAN_ZERO;
	public static String DUMP_RECORDING_TIMESPAN_UNPARSABLE;
	public static String DUMP_RECORDING_TIMESPAN_VALUE;
	public static String DUMP_RECORDING_WHOLE;
	public static String DurationPercentileTable_PERCENTILE_COL_NAME;
	public static String EVENT_TYPE_FOLDER_NODE_EVENTS_BY_TYPE;
	public static String EVENT_TYPE_FOLDER_NODE_UNCATEGORIZED;
	public static String EVENT_TYPE_TREE_NODE_TOOLTIP;
	public static String EVENT_TYPE_TREE_TITLE;
	public static String EnvironmentVariablesPage_PAGE_NAME;
	public static String EventBrowserPage_DISPLAY_TYPES_WITHOUT_EVENTS;
	public static String EventBrowserPage_EVENT_BROWSER_SELECTION;
	public static String EventBrowserPage_EVENT_TYPE_TREE_SELECTION;
	public static String EventBrowserPage_NEW_PAGE_USING_TYPES_ACTION;
	public static String EventBrowserPage_PAGE_DESC;
	public static String EventBrowserPage_PAGE_NAME;
	public static String ExceptionsPage_CLASS_AND_MESSAGE;
	public static String ExceptionsPage_GROUP_BY_CLASS_ACTION;
	public static String ExceptionsPage_GROUP_BY_CLASS_AND_MESSAGE_ACTION;
	public static String ExceptionsPage_GROUP_BY_MESSAGE_ACTION;
	public static String ExceptionsPage_PAGE_NAME;
	public static String ExceptionsPage_ROW_ERRORS;
	public static String ExceptionsPage_ROW_EXCEPTIONS;
	public static String ExceptionsPage_ROW_STATISTICS;
	public static String ExceptionsPage_THROWABLES_HISTOGRAM_SELECTION;
	public static String ExceptionsPage_THROWABLES_LOG_SELECTION;
	public static String ExceptionsPage_THROWABLES_TIMELINE_SELECTION;
	public static String FILE_OPENER_COULD_NOT_LOAD_FILE;
	public static String FILE_OPENER_JROCKIT_TEXT;
	public static String FILE_OPENER_JROCKIT_TITLE;
	public static String FILE_OPENER_LOAD_JOB_TITLE;
	public static String FILE_OPENER_VERSION_NOT_SUPPORTED;
	public static String FILE_OPENER_WARNING_NO_EVENTS;
	public static String FILE_OPENER_WARNING_SHORT_TIME;
	public static String FILE_OPENER_WARNING_TITLE;
	public static String FILE_OPENER_ZIPPED_FILE_TEXT;
	public static String FILE_OPENER_ZIPPED_FILE_TITLE;
	public static String FILTER_ADD_FROM_ATTRIBUTE;
	public static String FILTER_ADD_FROM_SELECTION;
	public static String FILTER_NO_ATTRIBUTE_AVAILABLE;
	public static String FILTER_NO_SELECTION_AVAILABLE;
	public static String FILTER_SHOW_FILTER_ACTION;
	public static String FILTER_SHOW_SEARCH_ACTION;
	public static String FLAVOR_CONTAINS;
	public static String FLAVOR_FILTER_AND_FILTER;
	public static String FLAVOR_IS;
	public static String FLAVOR_IS_IN_INTERVAL;
	public static String FLAVOR_IS_IN_SET;
	public static String FLAVOR_SELECTED_EVENTS;
	public static String FLAVOR_SELECTED_RANGE;
	public static String FOLDER_COULD_NOT_BE_CREATED;
	public static String FileIOPage_DURATION_SELECTION;
	public static String FileIOPage_SIZE_SELECTION;
	public static String FileIOPage_HISTOGRAM_SELECTION;
	public static String FileIOPage_LOG_SELECTION;
	public static String FileIOPage_PAGE_NAME;
	public static String FileIOPage_PERCENTILE_SELECTION;
	public static String FileIOPage_ROW_FILE_READ;
	public static String FileIOPage_ROW_FILE_WRITE;
	public static String FileIOPage_SELECTED_PATH;
	public static String FileIOPage_SELECTED_PATHS;
	public static String FileIOPage_TIMELINE_SELECTION;
	public static String FilterEditor_ACTION_CLEAR_ALL;
	public static String FilterEditor_ACTION_COMBINE_AND;
	public static String FilterEditor_ACTION_COMBINE_OR;
	public static String FilterEditor_ACTION_NEGATE;
	public static String FilterEditor_ACTION_REMOVE;
	public static String FilterEditor_ACTION_SHOW_COLUMN_HEADERS;
	public static String FilterEditor_COLUMN_ATTRIBUTE;
	public static String FilterEditor_COLUMN_OPERATION;
	public static String FilterEditor_COLUMN_VALUE;
	public static String FilterEditor_INVALID_REGEX;
	public static String FilterEditor_KIND_CONTAINS;
	public static String FilterEditor_KIND_DOESNT_EXIST;
	public static String FilterEditor_KIND_EXISTS;
	public static String FilterEditor_KIND_HAS_CENTER_IN;
	public static String FilterEditor_KIND_INTERSECTS;
	public static String FilterEditor_KIND_IS;
	public static String FilterEditor_KIND_ISNT_NULL;
	public static String FilterEditor_KIND_IS_CONTAINED_IN;
	public static String FilterEditor_KIND_IS_NULL;
	public static String FilterEditor_KIND_MATCHES;
	public static String FilterEditor_KIND_NOT_CONTAINS;
	public static String FilterEditor_KIND_NOT_HAS_CENTER_IN;
	public static String FilterEditor_KIND_NOT_INTERSECTS;
	public static String FilterEditor_KIND_NOT_IS_CONTAINED_IN;
	public static String FilterEditor_KIND_NOT_MATCHES;
	public static String FilterEditor_KIND_UNKNOWN;
	public static String FilterEditor_LABEL_EMPTY;
	public static String FilterEditor_LABEL_NAME_AND;
	public static String FilterEditor_LABEL_NAME_NOT_AND;
	public static String FilterEditor_LABEL_NAME_NOT_OR;
	public static String FilterEditor_LABEL_NAME_OR;
	public static String FilterEditor_LABEL_NAME_TYPE;
	public static String FilterEditor_LABEL_NAME_UNKNOWN_FILTER;
	public static String FilterEditor_LABEL_VALUE_UNKNOWN;
	public static String FilterEditor_TOOLTIP_EMPTY;
	public static String FlavorSelector_BUTTON_CONTAINED;
	public static String FlavorSelector_BUTTON_CONTAINED_TOOLTIP;
	public static String FlavorSelector_BUTTON_SAME_THREADS;
	public static String FlavorSelector_BUTTON_SAME_THREADS_TOOLTIP;
	public static String FlavorSelector_BUTTON_SHOW_CONCURRENT;
	public static String FlavorSelector_BUTTON_SHOW_CONCURRENT_TOOLTIP;
	public static String FlavorSelector_BUTTON_TIMERANGE_CLEAR;
	public static String FlavorSelector_BUTTON_TIMERANGE_CLEAR_TOOLTIP;
	public static String FlavorSelector_BUTTON_TIMERANGE_SET;
	public static String FlavorSelector_BUTTON_TIMERANGE_SET_TOOLTIP;
	public static String FlavorSelector_LABEL_ASPECT;
	public static String FlavorSelector_LABEL_SELECTION;
	public static String FlavorSelector_LABEL_NO_SELECTION;
	public static String FlavorSelector_LABEL_TIMERANGE;
	public static String GCConfigurationPage_PAGE_NAME;
	public static String GCConfigurationPage_SECTION_GC_CONFIG;
	public static String GCConfigurationPage_SECTION_HEAP_CONFIG;
	public static String GCConfigurationPage_SECTION_YOUNG_CONFIG;
	public static String GCConfigurationPage_SECTION_JVM_GC_FLAGS;
	public static String GCConfigurationPage_COLUMN_VALUE;
	public static String GCSummaryPage_PAGE_NAME;
	public static String GCSummaryPage_SECTION_YOUNG_COLLECTION;
	public static String GCSummaryPage_SECTION_OLD_COLLECTION;
	public static String GCSummaryPage_SECTION_ALL_COLLECTION;
	public static String GCSummaryPage_SECTION_ALL_COLLECTION_PAUSE;
	public static String GarbageCollectionsPage_COMMITTED_HEAP_DELTA;
	public static String GarbageCollectionsPage_COMMITTED_METASPACE_DELTA;
	public static String GarbageCollectionsPage_DISABLED_TOOLTIP;
	public static String GarbageCollectionsPage_LIST_SELECTION;
	public static String GarbageCollectionsPage_METASPACE_SELECTION;
	public static String GarbageCollectionsPage_METASPACE_TITLE;
	public static String GarbageCollectionsPage_PAGE_NAME;
	public static String GarbageCollectionsPage_PAUSE_PHASES_TITLE;
	public static String GarbageCollectionsPage_PAUSE_PHASE_SELECTION;
	public static String GarbageCollectionsPage_ROW_HEAP;
	public static String GarbageCollectionsPage_ROW_HEAP_DESC;
	public static String GarbageCollectionsPage_ROW_HEAP_POST_GC;
	public static String GarbageCollectionsPage_ROW_HEAP_POST_GC_DESC;
	public static String GarbageCollectionsPage_ROW_METASPACE;
	public static String GarbageCollectionsPage_ROW_METASPACE_DESC;
	public static String GarbageCollectionsPage_ROW_PAUSE_PHASES;
	public static String GarbageCollectionsPage_ROW_PAUSE_PHASES_DESC;
	public static String GarbageCollectionsPage_TIMELINE_SELECTION;
	public static String GarbageCollectionsPage_USED_HEAP_AFTER_GC;
	public static String GarbageCollectionsPage_USED_HEAP_BEFORE_GC;
	public static String GarbageCollectionsPage_USED_HEAP_DELTA;
	public static String GarbageCollectionsPage_USED_METASPACE_DELTA;
	public static String HeapPage_LIVE_SIZE_OF_CLASS;
	public static String HeapPage_OVERLAY_GC;
	public static String HeapPage_OVERLAY_GC_DESC;
	public static String HeapPage_PAGE_NAME;
	public static String HeapPage_ROW_ALLOCATION;
	public static String HeapPage_ROW_LIVE_SIZE;
	public static String HeapPage_ROW_LIVE_SIZE_DESC;
	public static String HeapPage_ROW_MEMORY_USAGE;
	public static String HeapPage_ROW_MEMORY_USAGE_DESC;
	public static String HeapPage_SELECTED_CLASS;
	public static String HeapPage_SELECTED_CLASSES;
	public static String HeapPage_ALLOCATION_TOTAL_PERCENTAGE;
	public static String HeapPage_ALLOCATION_TOTAL_PERCENTAGE_DESC;
	public static String HeapPage_SIZE_TOTAL_PERCENTAGE;
	public static String HeapPage_SIZE_TOTAL_PERCENTAGE_DESC;
	public static String INFORMATION_COMPONENT_NOT_AVAILABLE;
	public static String IO_PAGE_DURATIONS_DESCRIPTION;
	public static String IO_PAGE_EVENT_LOG_DESCRIPTION;
	public static String IO_PAGE_TIMELINE_DESCRIPTION;
	public static String IO_PAGE_SIZE_DESCRIPTION;
	public static String ITEMHANDLER_CHART_DESCRIPTION;
	public static String ITEMHANDLER_CHART_TITLE;
	public static String ITEMHANDLER_LIST_DESCRIPTION;
	public static String ITEMHANDLER_LIST_TITLE;
	public static String ITEMHANDLER_LOG_SELECTION;
	public static String ITEM_CHART_COLOR_SPAN_BY;
	public static String ITEM_CHART_SHOW_GROUPING_AS_SPAN_CHART;
	public static String ITEM_CHART_SHOW_IN_BAR_CHART;
	public static String ITEM_CHART_SHOW_IN_LINE_CHART;
	public static String ITEM_CHART_TIMELINE_SELECTION;
	public static String ITEM_LIST_ELLIPSIS_TEXT;
	public static String ITEM_LIST_SIZE_LESS_THAN_ZERO;
	public static String ITEM_LIST_SIZE_PREF;
	public static String ITEM_LIST_SIZE_PREF_TOOLTIP;
	public static String ITEM_LIST_SIZE_UNPARSABLE;
	public static String ItemHandlerPage_DEFAULT_PAGE_NAME;
	public static String ItemHandlerPage_PAGE_EVENTS_COUNT_TOOLTIP;
	public static String ItemHandlerPage_SET_TOPICS_ACTION;
	public static String ItemHandlerPage_SET_TOPICS_DIALOG_MESSAGE;
	public static String ItemHandlerPage_SET_TOPICS_TITLE;
	public static String ItemHandlerPage_SHOW_FILTER_ACTION;
	public static String JFR_EDITOR_INVALID_RECORDING_TEXT;
	public static String JFR_EDITOR_NO_PAGES_TO_SHOW;
	public static String JFR_EDITOR_PAGE_CANNOT_BE_DISPLAYED;
	public static String JFR_EDITOR_RULES_CANCELLED;
	public static String JFR_EDITOR_RULES_EVALUATING;
	public static String JFR_EDITOR_RULES_IGNORED;
	public static String JFR_EDITOR_RULES_SCHEDULED;
	public static String JFR_EDITOR_RULES_TASK_NAME;
	public static String JFR_EDITOR_RULES_WAITING;
	public static String JFR_EDITOR_RULE_EVALUATION_ERROR_DESCRIPTION;
	public static String JFR_OUTLINE_CREATE_CUSTOM_MESSAGE;
	public static String JFR_OUTLINE_CREATE_CUSTOM_TITLE;
	public static String JFR_OUTLINE_CUSTOM_PAGE;
	public static String JFR_OUTLINE_DELETE_CONFIRM_MESSAGE;
	public static String JFR_OUTLINE_DELETE_CONFIRM_TITLE;
	public static String JFR_OUTLINE_LOCK_PAGES_ACTION;
	public static String JFR_OUTLINE_MOVE_DOWN;
	public static String JFR_OUTLINE_MOVE_LEFT;
	public static String JFR_OUTLINE_MOVE_RIGHT;
	public static String JFR_OUTLINE_MOVE_UP;
	public static String JFR_OUTLINE_NEW_PAGE;
	public static String JFR_OUTLINE_RESET_ACTION;
	public static String JFR_OUTLINE_RESET_ALL_ACTION;
	public static String JFR_OUTLINE_RESET_ALL_CONFIRM_MESSAGE;
	public static String JFR_OUTLINE_RESET_ALL_CONFIRM_TITLE;
	public static String JFR_OUTLINE_RESET_CONFIRM_MESSAGE;
	public static String JFR_OUTLINE_RESET_CONFIRM_TITLE;
	public static String JFR_PROPERTIES_ARRAY_WITH_OMITTED_ELEMENT;
	public static String JFR_PROPERTIES_ARRAY_WITH_OMITTED_ELEMENTS;
	public static String JFR_PROPERTIES_CALCULATING;
	public static String JFR_PROPERTIES_INSERTED_ELLIPSIS;
	public static String JFR_PROPERTIES_PROPERTY_SELECTION;
	public static String JFR_PROPERTIES_TOO_MANY_VALUES;
	public static String JFR_PROPERTY_SHEET_EVENTS;
	public static String JFR_PROPERTY_SHEET_FIELD;
	public static String JFR_PROPERTY_SHEET_VALUE;
	public static String JFR_PROPERTY_SHEET_VERBOSE_VALUE;
	public static String JVMInformationPage_COLUMN_NEW_VALUE;
	public static String JVMInformationPage_COLUMN_OLD_VALUE;
	public static String JVMInformationPage_COLUMN_VALUE;
	public static String JVMInformationPage_EMPTY_TABLE;
	public static String JVMInformationPage_PAGE_NAME;
	public static String JVMInformationPage_SECTION_JVM_FLAGS;
	public static String JVMInformationPage_SECTION_JVM_FLAGS_LOG;
	public static String JVMInformationPage_SECTION_JVM_INFO;
	public static String JavaApplicationPage_COLUMN_THREAD_DURATION;
	public static String JavaApplicationPage_COLUMN_THREAD_DURATION_DESC;
	public static String JavaApplicationPage_COLUMN_THREAD_END;
	public static String JavaApplicationPage_COLUMN_THREAD_END_DESC;
	public static String JavaApplicationPage_COLUMN_THREAD_PERCENTAGE;
	public static String JavaApplicationPage_COLUMN_THREAD_PERCENTAGE_DESC;
	public static String JavaApplicationPage_COLUMN_THREAD_START;
	public static String JavaApplicationPage_COLUMN_THREAD_START_DESC;
	public static String JavaApplicationPage_EDIT_THREAD_LANES_ACTION;
	public static String JavaApplicationPage_EDIT_THREAD_LANES_DIALOG_MESSAGE;
	public static String JavaApplicationPage_EDIT_THREAD_LANES_DIALOG_TITLE;
	public static String JavaApplicationPage_HALTS_ACTION;
	public static String JavaApplicationPage_HALTS_ACTION_DESC;
	public static String JavaApplicationPage_METHOD_PROFILING;
	public static String JavaApplicationPage_METHOD_PROFILING_DESC;
	public static String JavaApplicationPage_PAGE_NAME;
	public static String JavaApplicationPage_ROW_ALLOCATION;
	public static String JavaApplicationPage_ROW_CPU_USAGE;
	public static String JavaApplicationPage_ROW_CPU_USAGE_DESC;
	public static String JavaApplicationPage_ROW_HEAP_USAGE;
	public static String JavaApplicationPage_SELECTED_THREAD;
	public static String JavaApplicationPage_SELECTED_THREADS;
	public static String JavaApplicationPage_THREAD_ACTIVITY_ACTION;
	public static String JavaApplicationPage_THREAD_ACTIVITY_ACTION_DESC;
	public static String JavaApplicationPage_THREAD_LANE_JAVA_LATENCIES;
	public static String JavaApplicationPage_THREAD_LIFESPAN;
	public static String LANES_ADD_LANE_ACTION;
	public static String LANES_CHECK_TO_INCLUDE;
	public static String LANES_DEFINITION_DESC;
	public static String LANES_DEFINITION_NAME;
	public static String LANES_DELETE_NOT_ALLOWED_WARNING;
	public static String LANES_DELETE_NOT_ALLOWED_WARNING_DESC;
	public static String LANES_EDITOR_LABEL;
	public static String LANES_EDIT_NOT_ALLOWED_WARNING;
	public static String LANES_EDIT_NOT_ALLOWED_WARNING_DESC;
	public static String LANES_EMPTY_LANE;
	public static String LANES_FILTER_LABEL;
	public static String LANES_LANE_COLUMN;
	public static String LANES_MOVE_DOWN_ACTION;
	public static String LANES_MOVE_UP_ACTION;
	public static String LANES_OTHER_TYPES;
	public static String LockInstancesPage_ADDRESS_HISTOGRAM_SELECTION;
	public static String LockInstancesPage_AGGR_BY_ADDRESS;
	public static String LockInstancesPage_AGGR_BY_ADDRESS_DESC;
	public static String LockInstancesPage_AGGR_BY_THREAD;
	public static String LockInstancesPage_AGGR_BY_THREAD_DESC;
	public static String LockInstancesPage_CLASS_HISTOGRAM_SELECTION;
	public static String LockInstancesPage_PAGE_NAME;
	public static String LockInstancesPage_THREAD_HISTOGRAM_SELECTION;
	public static String MemoryLeakPage_ADDRESS_COLUMN_HEADER;
	public static String MemoryLeakPage_COUNT_COLUMN_HEADER;
	public static String MemoryLeakPage_DESCRIPTION_COLUMN_HEADER;
	public static String MemoryLeakPage_OBJECT_FORMATTING_OPTIONS;
	public static String MemoryLeakPage_OBJECT_FORMAT_ARRAY;
	public static String MemoryLeakPage_OBJECT_FORMAT_FIELD;
	public static String MemoryLeakPage_OBJECT_FORMAT_OTHER_MOD;
	public static String MemoryLeakPage_OBJECT_FORMAT_PACKAGE;
	public static String MemoryLeakPage_OBJECT_FORMAT_STATIC_MOD;
	public static String MemoryLeakPage_OBJECT_SAMPLES_SELECTION;
	public static String MemoryLeakPage_OBJECT_SAMPLE_COLUMN_HEADER;
	public static String MemoryLeakPage_PAGE_NAME;
	public static String MemoryLeakPage_RELEVANCE_COLUMN_HEADER;
	public static String MemoryLeakPage_STEPS_SKIPPED;
	public static String MethodProfilingPage_CLASS_HISTOGRAM_SELECTION;
	public static String MethodProfilingPage_METHOD_CONTENT_TYPE_DESCRIPTION;
	public static String MethodProfilingPage_METHOD_DESCRIPTION;
	public static String MethodProfilingPage_METHOD_TITLE;
	public static String MethodProfilingPage_PACKAGE_HISTOGRAM_SELECTION;
	public static String MethodProfilingPage_PAGE_NAME;
	public static String MethodProfilingPage_PREDECESSORS_DESCRIPTION;
	public static String MethodProfilingPage_SUCCESSORS_DESCRIPTION;
	public static String NativeLibraryPage_PAGE_NAME;
	public static String NAVIGATOR_MOVE_BACKWARD_TEXT;
	public static String NAVIGATOR_MOVE_FORWARD_TEXT;
	public static String NAVIGATOR_SELECT_ALL_TEXT;
	public static String NAVIGATOR_ZOOM_IN_TEXT;
	public static String NAVIGATOR_ZOOM_OUT_TEXT;
	public static String N_A;
	public static String PAGES_DURATIONS;
	public static String PAGES_EVENT_LOG;
	public static String PAGES_TIMELINE;
	public static String PAGES_SIZE;
	public static String PAGES_SUCCESSORS;
	public static String PAGES_PREDECESSORS;
	public static String PAGE_CHANGE_ICON_CHOOSE_IMAGE_FILE;
	public static String PAGE_CHANGE_ICON_CURRENT_ICON;
	public static String PAGE_CHANGE_ICON_MENU_ACTION;
	public static String PAGE_CHANGE_ICON_NEW_ICON_PREVIEW;
	public static String PAGE_CHANGE_ICON_WIZARD_PAGE_DESC;
	public static String PAGE_CHANGE_ICON_WIZARD_PAGE_TITLE;
	public static String PAGE_CHANGE_ICON_WIZARD_TITLE;
	public static String PAGE_EXPORT_ERROR_MESSAGE;
	public static String PAGE_EXPORT_ERROR_TITLE;
	public static String PAGE_EXPORT_WIZARD_TITLE;
	public static String PAGE_IMPORT_ERROR_MESSAGE;
	public static String PAGE_IMPORT_ERROR_TITLE;
	public static String PAGE_IMPORT_WIZARD_TITLE;
	public static String PAGE_MANAGER_FACTORY_NOT_INSTALLED;
	public static String PAGE_MANAGER_MISSING_IMPLEMENTATION;
	public static String PAGE_RENAME_DIALOG_MESSAGE;
	public static String PAGE_RENAME_DIALOG_TITLE;
	public static String PAGE_RENAME_MENU_ACTION;
	public static String PAGE_UNNAMED;
	public static String PREFERENCES_ALLOW_INCOMPLETE_RECORDING_FILE;
	public static String PREFERENCES_CONFIRM_REMOVE_TEMPLATE_TEXT;
	public static String PREFERENCES_ENABLED_RULES;
	public static String PREFERENCES_ENABLE_RECORDING_ANALYSIS;
	public static String PREFERENCES_EVALUATION_THREAD_NUMBER_LESS_THAN_ONE;
	public static String PREFERENCES_EVALUATION_THREAD_NUMBER_TEXT;
	public static String PREFERENCES_EVALUATION_THREAD_NUMBER_TOOLTIP;
	public static String PREFERENCES_EVALUATION_THREAD_NUMBER_UNPARSEABLE;
	public static String PREFERENCES_GENERAL_SETTINGS_TEXT;
	public static String PREFERENCES_INCLUDE_EXPERIMENTAL_EVENTS_AND_FIELDS;
	public static String PREFERENCES_PROPERTIES_ARRAY_STRING_SIZE_TEXT;
	public static String PREFERENCES_PROPERTIES_ARRAY_STRING_SIZE_TOOLTIP;
	public static String PREFERENCES_REMOVE_FINISHED_RECORDING_TEXT;
	public static String PREFERENCES_RULES_CONFIGURE_SELECTED;
	public static String PREFERENCES_SHOW_MONITORING_WARNING_TEXT;
	public static String PREFERENCES_WEBSOCKET_SERVER_PORT_INVALID;
	public static String PREFERENCES_WEBSOCKET_SERVER_PORT_TEXT;
	public static String PREFERENCES_WEBSOCKET_SERVER_PORT_TOOLTIP;
	public static String ProcessesPage_AGGR_CONCURRENT_PROCESSES;
	public static String ProcessesPage_AGGR_CONCURRENT_PROCESSES_DESC;
	public static String ProcessesPage_AGGR_FIRST_SAMPLE;
	public static String ProcessesPage_AGGR_FIRST_SAMPLE_DESC;
	public static String ProcessesPage_AGGR_LAST_SAMPLE;
	public static String ProcessesPage_AGGR_LAST_SAMPLE_DESC;
	public static String ProcessesPage_PAGE_NAME;
	public static String ProcessesPage_ROW_CONCURRENT_PROCESSES;
	public static String ProcessesPage_ROW_CPU_USAGE;
	public static String ProcessesPage_ROW_CPU_USAGE_DESC;
	public static String RESULT_VIEW_ANALYSIS_DISABLED;
	public static String RESULT_VIEW_NO_EDITOR_SELECTED;
	public static String RULESPAGE_SHOW_OK_RESULTS_ACTION;
	public static String RULES_SHOW_RESULTS_ACTION;
	public static String RULES_STATISTICS;
	public static String RecordingPage_CONCURRENT_RECORDINGS_SELECTION;
	public static String RecordingPage_EVENT_SETTINGS_SELECTION;
	public static String RecordingPage_PAGE_NAME;
	public static String RecordingPage_RECORDING_EVENTS_END;
	public static String RecordingPage_RECORDING_EVENTS_START;
	public static String RecordingPage_RECORDING_EVENT_DURATION;
	public static String RecordingPage_RECORDING_EVENT_DURATION_DESC;
	public static String RecordingPage_RECORDING_EVENT_END_DESC;
	public static String RecordingPage_RECORDING_EVENT_START_DESC;
	public static String RecordingPage_SECTION_CONCURRENT_RECORDINGS;
	public static String RecordingPage_SECTION_EVENT_SETTINGS;
	public static String RecordingPage_SECTION_RECORDING_INFORMATION;
	public static String ResultOverview_COLUMN_EXPLANATION;
	public static String ResultOverview_COLUMN_PAGE;
	public static String ResultOverview_COLUMN_RESULT_ID;
	public static String ResultOverview_COLUMN_RULE_NAME;
	public static String ResultOverview_COLUMN_SCORE;
	public static String ResultOverview_COLUMN_SUMMARY;
	public static String ResultOverview_COLUMN_SOLUTION;
	public static String ResultOverview_DISPLAYMODE_REPORT;
	public static String ResultOverview_DISPLAYMODE_TABLE;
	public static String ResultOverview_EXPORT_ACTION;
	public static String ResultOverview_EXPORT_DIALOG_MESSAGE;
	public static String ResultOverview_EXPORT_DIALOG_TITLE;
	public static String ResultOverview_PAGE_DESC;
	public static String ResultOverview_PAGE_NAME;
	public static String ResultOverview_BROWSER_ACTION;
	public static String ResultTableUi_SCORE_TOOLTIP;
	public static String RuleManager_NULL_RESULT_DESCRIPTION;
	public static String SAVE_AS_ERROR_MSG;
	public static String SAVE_AS_JFR_DESCRIPTION;
	public static String SAVE_AS_NO_SRC_ERROR_MSG;
	public static String SAVE_AS_TITLE;
	public static String SEARCH_TREE_TEXT;
	public static String SELECTION_STORE_NO_SELECTION;
	public static String SELECT_RANGE_WIZARD_DESCRIPTION;
	public static String SELECT_RANGE_WIZARD_TEXT;
	public static String SELECT_RANGE_WIZARD_TITLE;
	public static String SELECT_RANGE_WIZARD_TO_MUCH_SELECTED_WARNING;
	public static String STACKTRACE_VIEW_COUNT_COLUMN_NAME;
	public static String STACKTRACE_VIEW_PERCENTAGE_COLUMN_NAME;
	public static String STACKTRACE_VIEW_PERCENTAGE_BY_DURATION_COLUMN_NAME;
	public static String STACKTRACE_VIEW_DISTINGUISH_FRAMES_BY;
	public static String STACKTRACE_VIEW_FRAME_GROUP_CHOOSE;
	public static String STACKTRACE_VIEW_FRAME_GROUP_NEXT;
	public static String STACKTRACE_VIEW_FRAME_GROUP_PREVIOUS;
	public static String STACKTRACE_VIEW_GROUP_FROM;
	public static String STACKTRACE_VIEW_GROUP_TRACES_FROM_LAST_FRAME;
	public static String STACKTRACE_VIEW_GROUP_TRACES_FROM_ROOT;
	public static String STACKTRACE_VIEW_LAST_FRAME;
	public static String STACKTRACE_VIEW_LAYOUT_OPTIONS;
	public static String STACKTRACE_VIEW_OPTIMIZATION_TYPE;
	public static String STACKTRACE_VIEW_REDUCE_TREE_DEPTH;
	public static String STACKTRACE_VIEW_SELECTION;
	public static String STACKTRACE_VIEW_TREE_VIEW;
	public static String STACKTRACE_VIEW_PERCENTAGE_BY_DURATION;
	public static String STACKTRACE_VIEW_STACK_TRACE;
	public static String STACKTRACE_VIEW_THREAD_ROOT;
	public static String STACKTRACE_VIEW_TRACES_IN_GROUP;
	public static String STACKTRACE_VIEW_TRACES_IN_GROUPS;
	public static String STACKTRACE_VIEW_TRACES_OF_TOTAL;
	public static String STACKTRACE_VIEW_TRACE_IN_GROUP;
	public static String STACKTRACE_VIEW_TRACE_IN_GROUPS;
	public static String STACKTRACE_VIEW_TRACE_OF_TOTAL;
	public static String STORED_SELECTIONS_SIZE_LESS_THAN_ZERO;
	public static String STORED_SELECTIONS_SIZE_PREF;
	public static String STORED_SELECTIONS_SIZE_UNPARSABLE;
	public static String STORE_AND_ACTIVATE_SELECTION_ACTION;
	public static String STORE_SELECTION_ACTION;
	public static String SocketIOPage_BY_HOST_ACTION;
	public static String SocketIOPage_BY_HOST_AND_PORT_ACTION;
	public static String SocketIOPage_BY_PORT_ACTION;
	public static String SocketIOPage_DURATION_SELECTION;
	public static String SocketIOPage_SIZE_SELECTION;
	public static String SocketIOPage_HISTOGRAM_SELECTION;
	public static String SocketIOPage_HOST_AND_PORT;
	public static String SocketIOPage_LOG_SELECTION;
	public static String SocketIOPage_PAGE_NAME;
	public static String SocketIOPage_PERCENTILE_SELECTION;
	public static String SocketIOPage_ROW_SOCKET_READ;
	public static String SocketIOPage_ROW_SOCKET_WRITE;
	public static String SocketIOPage_SELECTED_HOST;
	public static String SocketIOPage_SELECTED_HOSTS;
	public static String SocketIOPage_SELECTED_HOSTS_AND_PORT;
	public static String SocketIOPage_SELECTED_HOSTS_AND_PORTS;
	public static String SocketIOPage_SELECTED_HOSTS_PORTS;
	public static String SocketIOPage_SELECTED_HOST_AND_PORT;
	public static String SocketIOPage_SELECTED_HOST_AND_PORTS;
	public static String SocketIOPage_SELECTED_PORT;
	public static String SocketIOPage_SELECTED_PORTS;
	public static String SocketIOPage_TIMELINE_SELECTION;
	public static String SystemPage_PAGE_NAME;
	public static String SystemPage_SECTION_CPU;
	public static String SystemPage_SECTION_MEMORY;
	public static String SystemPage_SECTION_OS;
	public static String SystemPropertiesPage_PAGE_NAME;
	public static String TABLECOMPONENT_COMBINE_GROUP_BY;
	public static String TABLECOMPONENT_GROUP_BY;
	public static String TABLECOMPONENT_HISTOGRAM_SELECTION;
	public static String TABLECOMPONENT_NONE;
	public static String ThreadDumpsPage_PAGE_NAME;
	public static String ThreadsPage_EDIT_LANES;
	public static String ThreadsPage_FOLD_CHART_TOOLTIP;
	public static String ThreadsPage_FOLD_TABLE_TOOLTIP;
	public static String ThreadsPage_HIDE_THREAD_ACTION;
	public static String ThreadsPage_LANE_FILTER_HEADER;
	public static String ThreadsPage_LANE_TOOLTIP_TITLE;
	public static String ThreadsPage_NAME;
	public static String ThreadsPage_NAME_LEGACY;
	public static String ThreadsPage_RESET_CHART_TO_SELECTION_ACTION;
	public static String ThreadsPage_SCROLLED_COMPOSITE_NAME;
	public static String ThreadsPage_SHOW_CHART_TOOLTIP;
	public static String ThreadsPage_SHOW_TABLE_TOOLTIP;
	public static String ThreadsPage_TABLE_POPUP_DESCRIPTION;
	public static String ThreadsPage_TABLE_POPUP_TITLE;
	public static String ThreadsPage_VIEW_THREAD_DETAILS;
	public static String TlabPage_PAGE_NAME;
	public static String TlabPage_THREADS_TAB_NAME;
	public static String TlabPage_METHODS_TAB_NAME;
	public static String TlabPage_CLASS_TAB_NAME;
	public static String TlabPage_SUMMARY_TAB_NAME;
	public static String TlabPage_SUMMARY_TAB_INSIDE_ALLOCATION;
	public static String TlabPage_SUMMARY_TAB_OUTSIDE_ALLOCATION;
	public static String TlabPage_ROW_TLAB_ALLOCATIONS;
	public static String TlabPage_ROW_TLAB_ALLOCATIONS_DESC;
	public static String TlabPage_SELECTED_ONE;
	public static String TlabPage_SELECTED_MANY;
	public static String TlabPage_INSIDE_TLAB_SUM_PERCENTAGE;
	public static String TlabPage_INSIDE_TLAB_SUM_PERCENTAGE_DESC;
	public static String TlabPage_OUTSIDE_TLAB_SUM_PERCENTAGE;
	public static String TlabPage_OUTSIDE_TLAB_SUM_PERCENTAGE_DESC;
	public static String VMOPERATION_PAGE_DURATIONS_DESCRIPTION;
	public static String VMOPERATION_PAGE_EVENT_LOG_DESCRIPTION;
	public static String VMOPERATION_PAGE_TIMELINE_DESCRIPTION;
	public static String VMOperationPage_DURATION_SELECTION;
	public static String VMOperationPage_LOG_SELECTION;
	public static String VMOperationPage_PAGE_NAME;
	public static String VMOperationPage_ROW_VM_OPERATIONS;
	public static String VMOperationPage_TIMELINE_SELECTION;

	static {
		NLS.initializeMessages(BUNDLE_NAME, Messages.class);
	}

	private Messages() {
	}

	public static String stackTraceMessage(int itemCount, int totalCount, String frameFraction) {
		String message;
		if (itemCount == 1) {
			message = Messages.STACKTRACE_VIEW_TRACE_OF_TOTAL;
		} else {
			message = Messages.STACKTRACE_VIEW_TRACES_OF_TOTAL;
		}
		return NLS.bind(message, new Object[] {itemCount, frameFraction, totalCount});
	}

	public static String siblingMessage(int itemsInSiblings, int nSiblings) {
		String message;
		if (itemsInSiblings == 1) {
			if (nSiblings == 1) {
				message = Messages.STACKTRACE_VIEW_TRACE_IN_GROUP;
			} else {
				message = Messages.STACKTRACE_VIEW_TRACE_IN_GROUPS;
			}
		} else {
			if (nSiblings == 1) {
				message = Messages.STACKTRACE_VIEW_TRACES_IN_GROUP;
			} else {
				message = Messages.STACKTRACE_VIEW_TRACES_IN_GROUPS;
			}
		}
		return NLS.bind(message, itemsInSiblings, nSiblings);
	}

	public static String stackTraceMessage(double duration, double totalDuration, String frameFraction) {
		String message;
		if (duration == 1) {
			message = Messages.STACKTRACE_VIEW_TRACE_OF_TOTAL;
		} else {
			message = Messages.STACKTRACE_VIEW_TRACES_OF_TOTAL;
		}
		return NLS.bind(message, new Object[] {duration, frameFraction, totalDuration});
	}
}
