/*
 * Copyright (c) 2018, Oracle and/or its affiliates. All rights reserved.
 * 
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 * The contents of this file are subject to the terms of either the Universal Permissive License
 * v 1.0 as shown at http://oss.oracle.com/licenses/upl
 *
 * or the following license:
 *
 * Redistribution and use in source and binary forms, with or without modification, are permitted
 * provided that the following conditions are met:
 * 
 * 1. Redistributions of source code must retain the above copyright notice, this list of conditions
 * and the following disclaimer.
 * 
 * 2. Redistributions in binary form must reproduce the above copyright notice, this list of
 * conditions and the following disclaimer in the documentation and/or other materials provided with
 * the distribution.
 * 
 * 3. Neither the name of the copyright holder nor the names of its contributors may be used to
 * endorse or promote products derived from this software without specific prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY
 * WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package org.openjdk.jmc.rjmx.ui.internal;

public interface IconConstants {

	/** Name of password wizard banner icon. */
	public static final String ICON_ATTRIBUTE_NORMAL = "non-numerical-attribute-16.png"; //$NON-NLS-1$
	public static final String IMG_ATTRIBUTE_SELECTOR_BANNER = "attribute-browser-wiz.gif"; //$NON-NLS-1$
	public static final String ICON_ATTRIBUTE_SYNTHETIC = "synthetic-attribute-16.png"; //$NON-NLS-1$
	public static final String ICON_ATTRIBUTE_NUMERICAL = "numerical-attribute-16.png"; //$NON-NLS-1$
	public static final String ICON_ATTRIBUTE_SYNTHETIC_NUMERICAL = "syn-num-attribute-16.png"; //$NON-NLS-1$
	public static final String ICON_ATTRIBUTE_COMPOSITE = "composite-attribute-closed-16.png"; //$NON-NLS-1$
	public static final String ICON_MBEAN = "mbean-16.png"; //$NON-NLS-1$
	// uses old
	public static final String ICON_ADD_GRAPH_ATTRIBUTE = "add-graph-16.png"; //$NON-NLS-1$
	public static final String ICON_REMOVE_GRAPH_ATTRIBUTE = "remove-graph-16.png"; //$NON-NLS-1$
	public static final String ICON_ADD_OBJECT_DISABLED = "add-obj-off.gif"; //$NON-NLS-1$
	public static final String ICON_ADD_OBJECT = "add-obj.gif"; //$NON-NLS-1$
	public static final String ICON_REMOVE_OBJECT = "remove-obj.png"; //$NON-NLS-1$
	public static final String ICON_REMOVE_OBJECT_DISABLED = "remove-obj-off.gif"; //$NON-NLS-1$
	public static final String ICON_PERSISTENCE_TOGGLE_ON = "persistence-toggle-on-16.gif"; //$NON-NLS-1$
	public static final String ICON_PERSISTENCE_TOGGLE_OFF = "persistence-toggle-off-16.gif"; //$NON-NLS-1$
	public static final String ICON_ACCESSIBILITY_MODE_TOGGLE_ON = "accessibility-mode-toggle-on-16.png"; //$NON-NLS-1$
	public static final String ICON_ACCESSIBILITY_MODE_TOGGLE_OFF = "accessibility-mode-toggle-off-16.png"; //$NON-NLS-1$

	public static final String ICON_INSPECT = "inspect-16.gif"; //$NON-NLS-1$
	public static final String ICON_ERROR = "error.gif"; //$NON-NLS-1$

	public static final String ICON_OPERATION_IMPACT_HIGH = "impact_high.png"; //$NON-NLS-1$
	public static final String ICON_OPERATION_IMPACT_LOW = "impact_low.png"; //$NON-NLS-1$

	public static final String IMG_TOOLBAR_OVERVIEW = "toolbar-general-64.png"; //$NON-NLS-1$
}
